## net.i2p.data
Class Base32

    java.lang.Object
      net.i2p.data.Base32

    public class Base32

extends java.lang.Object

Encodes and decodes to and from Base32 notation. Ref: RFC 3548 Don't bother with '=' padding characters on encode or accept them on decode (i.e. don't require 5-character groups). No whitespace allowed. Decode accepts upper or lower case.

Method Summary
`static byte[]` `decode(java.lang.String s)`
`static java.lang.String` `decodeToString(java.lang.String s)` Decodes data from Base32 notation and returns it as a string.
`static java.lang.String` `encode(byte[] source)`
`static java.lang.String` `encode(java.lang.String source)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

### encode

    public static java.lang.String encode(java.lang.String source)

### encode

    public static java.lang.String encode(byte[] source)

### decodeToString

    public static java.lang.String decodeToString(java.lang.String s)

  Decodes data from Base32 notation and returns it as a string.

  Parameters:
    `s` - the string to decode
  Returns:
    The data as a string or null on failure

### decode

    public static byte[] decode(java.lang.String s)